# __pool_alloc Class Template Reference

Inheritance diagram for __pool_alloc:

List of all members.

### template<typename _Tp>
class __gnu_cxx::__pool_alloc< _Tp >

## Public Types

- typedef const _Tp * const_pointer
- typedef const _Tp & const_reference
- typedef ptrdiff_t difference_type
- typedef _Tp * pointer
- typedef _Tp & reference
- typedef size_t size_type
- typedef _Tp value_type

## Public Member Functions

- template<typename _Tp1> __pool_alloc (const __pool_alloc< _Tp1 > &) throw ()
- __pool_alloc (const __pool_alloc &) throw ()
- const_pointer address (const_reference __x) const
- pointer address (reference __x) const
- pointer allocate (size_type __n, const void *=0)
- void construct (pointer __p, const _Tp &__val)
- void deallocate (pointer __p, size_type __n)
- void destroy (pointer __p)
- size_type max_size () const throw ()

The documentation for this class was generated from the following file:

- pool_allocator.h